import React, { useEffect, useState } from "react";
import ProductTable from "./ProductTable.jsx"
import Config from "../config.js";
import { Link } from "react-router-dom";

export default function ProductIndex() {
  const [products, setProducts] = useState([]);

  const fetchProducts = async () => {
    const res = await fetch(`${Config.inventoryUrl}`);
    if (res.ok) {
      const data = await res.json();
      setProducts([...data]);
    }
  };

  useEffect(() => fetchProducts(), []);

  return (
    <div className="container flex-column d-flex justify-content-center">
      <div className="container mt-3 d-flex justify-content-between align-items-center">
        <h1 id="title" className="text-center">
          Inventory
        </h1>
        <Link type="link" className="btn btn-success" to="/products/new">
          + New Product
        </Link>
      </div>
      {products.length > 0
      ? <ProductTable productData={products} />
      : <p>No products found.</p>
      }
    </div>
  );
}
